Browse Source

Require C++14

feature/exec_app
Martchus 5 years ago
parent
commit
96c4e24b6c
  1. 4
      README.md
  2. 4
      cmake/modules/BasicConfig.cmake

4
README.md

@ -22,7 +22,7 @@ The library utilizes:
## Build instructions
### Requirements
#### Build-only dependencies
* C++ compiler supporting C++11, tested with
* C++ compiler supporting C++14, tested with
- GNU g++
- Clang
- mingw-w64 g++
@ -34,7 +34,7 @@ The library utilizes:
#### Runtime dependencies
* The c++utilities library itself only needs
- C/C++ standard library supporting C++11
- C/C++ standard library supporting C++14
- libiconv (might be part of glibc or provided as extra library)
* For dependencies of my other projects check the README.md of these projects.

4
cmake/modules/BasicConfig.cmake

@ -17,9 +17,9 @@ if(NOT META_GENERIC_NAME)
set(META_GENERIC_NAME "${META_APP_NAME}")
endif()
# set default CXX_STANDARD for all library, application and test targets to 11
# set default CXX_STANDARD for all library, application and test targets
if(NOT META_CXX_STANDARD)
set(META_CXX_STANDARD 11)
set(META_CXX_STANDARD 14)
endif()
# provide variables for other projects built as part of the same subdirs project

Loading…
Cancel
Save